From d057344cf2e38d35d453bbe7b4f0d321f08dc7df Mon Sep 17 00:00:00 2001
From: "Jonathan S. Katz" <jonathan.katz@excoventures.com>
Date: Wed, 6 Jun 2018 10:33:50 -0400
Subject: [PATCH] Add "v11" to the PostgreSQL Feature Matrix.

This will allow us to populate new features added to PostgreSQL 11
earlier in the release lifecycle to help drive more awareness to
what has changed.
---
 pgweb/featurematrix/migrations/0004_feature_v11.py | 21 +++++++++++++++++++++
 pgweb/featurematrix/models.py                      |  1 +
 2 files changed, 22 insertions(+)
 create mode 100644 pgweb/featurematrix/migrations/0004_feature_v11.py

diff --git a/pgweb/featurematrix/migrations/0004_feature_v11.py b/pgweb/featurematrix/migrations/0004_feature_v11.py
new file mode 100644
index 0000000..70060d5
--- /dev/null
+++ b/pgweb/featurematrix/migrations/0004_feature_v11.py
@@ -0,0 +1,21 @@
+# -*- coding: utf-8 -*-
+# Generated by Django 1.11.13 on 2018-06-06 14:31
+from __future__ import unicode_literals
+
+from django.db import migrations, models
+
+
+class Migration(migrations.Migration):
+
+    dependencies = [
+        ('featurematrix', '0003_feature_v10'),
+    ]
+
+    operations = [
+        migrations.AddField(
+            model_name='feature',
+            name='v11',
+            field=models.IntegerField(choices=[(0, b'No'), (1, b'Yes'), (2, b'Obsolete'), (3, b'?')], default=0, verbose_name=b'11'),
+        ),
+        migrations.RunSQL("UPDATE featurematrix_feature SET v11=v10 WHERE NOT v11=v10"),
+    ]
diff --git a/pgweb/featurematrix/models.py b/pgweb/featurematrix/models.py
index fe6eae0..433e3c3 100644
--- a/pgweb/featurematrix/models.py
+++ b/pgweb/featurematrix/models.py
@@ -43,6 +43,7 @@ class Feature(models.Model):
 	v95 = models.IntegerField(verbose_name="9.5", null=False, blank=False, default=0, choices=choices)
 	v96 = models.IntegerField(verbose_name="9.6", null=False, blank=False, default=0, choices=choices)
 	v10 = models.IntegerField(verbose_name="10", null=False, blank=False, default=0, choices=choices)
+	v11 = models.IntegerField(verbose_name="11", null=False, blank=False, default=0, choices=choices)
 
 	purge_urls = ('/about/featurematrix/.*', )
 
-- 
2.14.3 (Apple Git-98)

